Kernel#require does not namespace anything, no matter how you use it.

Properly written Rubby libraries namespace their classes and modules. 
If you own the code you're requiring, fix it. If not, find an 
alternative to the code in question (which I find suspect based on this 
lack of namespacing) or perhaps you may find some luck with Kernel#load.


-- 
Rein Henrichs
http://puppetlabs.com
http://reinh.com